HYBRID-CHAINDEVELOPERS
DOCUMENTATIONv1

API V1 · COMPATIBILITY REFERENCE

The complete legacy surface, now searchable.

This catalog preserves the published v1 documentation while every operation is reconciled with the running account, identity, and Core systems.

24CAPABILITY FAMILIES
238UNIQUE OPERATIONS
15ADDITIONAL VARIANTS
V1MAINTENANCE CONTRACT
238of 238 operations

QUICK REFERENCE

V1 endpoint directory

Choose an operation to see the imported parameters, request bodies, response examples, and known variants.

01

Authentication

11 endpoints · User onboarding · Account access

GET
AUTH: Get Seed/api/v1/auth/seed

Seeds are required and needed when passing around passwords and very sensitive information.

GET
AUTH: Get Multi-Tenant Seeds/api/v1/auth/seeds

This endpoint returns all seeds for cross-tenant activated users.

POST
AUTH: Log a User in/api/v1/auth/login

As described in the "AUTH: Get Seed" Endpoint, before the login credentials can be passed to the backend, the seed must be requested using the appropriate parameters.

POST
AUTH: Verify Bearer Token/api/v1/auth/verify

This Endpoint allows a third-party system to check and verify a bearer token against the Perpetuals.com system.

GET
AUTH: Log a User out/api/v1/auth/logout

This end-point will log the user out of any API-based sessions on all devices.

POST
AUTH: Register a Private User/api/v1/auth/registration

This end-point allows a new private user to be registered/signed-up (please see the "Register a Corporate User" Endpoint for companies/corporations).

GET
AUTH: Generate new 2FA Registration Code/api/v1/auth/new2facode

To start the 2FA Initiation process, a 2FA Initiation Key must be generated.

POST
AUTH: Submit first 2FA Code/api/v1/auth/submitfirst2facode

To "link" the 2FA Code to the Account, a first code needs to be submitted to the system to verify that the 2FA Mechanism has generated a valid token on the client's Authenticator Software app.

POST
AUTH: Reset 2FA Code/api/v1/auth/reset2fa

This endpoint allows for users to reset their Multi-Factor Code using either a valid bearer token or a matching and correct client_id and encrypted master password combination in the payload.

GET
AUTH: Generate Web-Federation Token/api/v1/auth/federate

This endpoint allows a logged in user to use their bearer token to generate a web-link that automatically logs them into the web-interface of the platform.

POST
AUTH: Close an Account/api/v1/auth/close_account

This Endpoint permanently closes the User's Account.

02

User Profile Data

20 endpoints · Embedded accounts · User onboarding

GET
PROFILE: Request Reset Link/api/v1/profile/resetpassword

This Request sends a password reset link (code) to the user's email address (if the email address exists in the system).

GET
PROFILE: Activate Account/api/v1/profile/activate/XXXXXXXX

This Request activates an account by submitting the activation code from the email sent to the user.

POST
PROFILE: Reset Password/api/v1/profile/newpassword

This endpoint is used when setting the new password from a password reset request.

POST
PROFILE: Change Password/api/v1/profile/setpassword

This endpoint is only needed when changing the password without a password reset function involved - it requires the old password.

POST
PROFILE: Submit Profile Data/api/v1/profile/personaldata

Profile Data can be updated by using the following keys/values.

POST
PROFILE: Submit Meta Data/api/v1/profile/metadata

Custom Meta Data for Profiles can be updated by using the following keys/values.

POST
PROFILE: Submit Advanced Data/api/v1/profile/advanceddata

This endpoint allows for additional/advanced data to be submitted and passed through to other third-party systems.

GET
PROFILE: Get Advanced Data/api/v1/profile/advanceddata

Use this Endpoint to get the submitted Advanced Data.

GET
PROFILE: Get Basic User Profile Data/api/v1/profile_basic

Use this Endpoint to get information, transactions, balances, logs, etc.

GET
PROFILE: Get Full User Profile Data/api/v1/profile

Use this Endpoint to get a full download of information, transactions, balances, logs, etc.

GET
PROFILE: Get Profile Avatar Image/api/v1/profile/avatar

Get Profile Avatar Image.

POST
PROFILE: Upload Profile Avatar Image/api/v1/profile/uploadavatar

Upload Profile Avatar Image.

GET
PROFILE: Get Profile Whitelabel Data/api/v1/profile/whitelabel

This Endpoint returns information about the Whitelabel which the user is assigned to.

GET
PROFILE: Get Linked Bank Accounts/api/v1/profile/bank_accounts

Get Linked Bank Accounts.

GET
PROFILE: Get Enabled Features/api/v1/profile/features

Get Enabled Features.

GET
PROFILE: Get Last Logins/api/v1/profile/last_logins

Get Last Logins.

GET
PROFILE: Get Referral Data/api/v1/profile/referral_data

Get Referral Data.

POST
PROFILE: Toggle Symbol to Watchlist/api/v1/profile/togglesymbolwatchlist

Profile Data can be updated by using the following keys/values.

GET
PROFILE: Get Symbol Watchlist/api/v1/profile/market_watchlist

Get Symbol Watchlist.

GET
PROFILE: Get Wallet Balances/api/v1/wallet/balances

Get Wallet Balances.

03

Session Management

3 endpoints · Embedded accounts

04

Workspace Management

11 endpoints · White-label platforms · Enterprise operations

GET
WORKSPACE: Get Available Workspaces/api/v1/workspaces/all

This Endpoints returns a list of available Workspaces for a given user, identified through their bearer token.

POST
WORKSPACE: Create new Workspace/api/v1/workspaces/create

This Endpoint marks the first step in creating a new Workspace.

GET
WORKSPACE: Get Workspace Seed/api/v1/workspaces/seed

This Endpoint is needed as an intermediary step before setting the new master password which secures the Workspace's Digital Asset Vault.

POST
WORKSPACE: Secure new Workspace/api/v1/workspaces/secure

This Endpoint finalizes the creation of a new workspace by securing it via the Master Password.

GET
WORKSPACE: Get Workspace Details/api/v1/workspaces/details

This Endpoint returns all details and meta-data of a workspace, including members within a workspace and their status.

POST
WORKSPACE: Invite User to Workspace/api/v1/workspaces/invite

This Endpoint is used to invite a new user to a workspace.

POST
WORKSPACE: Revoke Workspace Invitation/api/v1/workspaces/revoke

This Endpoint is used to invite a new user to a workspace.

GET
WORKSPACE: Accept Workspace Invitation/api/v1/workspaces/accept/XXXXXXX

This Endpoint allows the user to accept a workspace invitation using the activation code from their invitation email.

POST
WORKSPACE: Change Role of User/api/v1/workspaces/role

This Endpoints changes the Workspace Role of a user.

GET
WORKSPACE: Get Active Workspace/api/v1/workspaces/active

This Endpoint returns all details and meta-data of a workspace, including members within a workspace and their status.

POST
WORKSPACE: Set Active Workspace/api/v1/workspaces/activate

This Endpoints sets the active Workspace of a user.

05

Vault / Wallet Functions

20 endpoints · Embedded wallets · Global remittance · Treasury

GET
WALLET: Get Crypto Deposit PubKeys/api/v1/wallet/deposit

This end-point returns the Public Keys per Wallet Currency of the Account.

GET
WALLET: Get Additional Funding Options Link/api/v1/wallet/additional_deposit_options_link

This end-point returns a URL Link that can be shown in the browser (or within an iFrame, or Web-View on a mobile device) which will allow the user to buy crypto via their Credit/Debit Cards and other payment methods depe

GET
WALLET: Validate a User's Email Address/api/v1/wallet/verifyuser

This helps users validate an Email address, Username, or MSISDN (international phone number) before sending funds using the "Send to a Friend" function.

GET
WALLET: Validate an External Wallet Address/api/v1/wallet/verifyaddress

This helps users validate an external crypto wallet address before adding it to the External Address Whitelist.

POST
WALLET: Instantly Transfer Funds (Secure Send)/api/v1/wallet/securesend

The Secure Send system (formerly "send to a friend") is a powerful solution that allows for quick and convenient sending of any size and type of funds or digital assets between users on the Hybrid-Chain system (even betw

POST
WALLET: Whitelist a new External Wallet for Withdrawals/api/v1/wallet/addwallet

This Endpoint is used to add an external wallet (to withdraw to) to the user's address book and whitelists it.

GET
WALLET: Get all Whitelisted External Withdrawal Wallets/api/v1/wallet/withdrawalwallets

This Endpoint returns a list of all whitelisted external wallets in the user's address book.

POST
WALLET: Remove External Crypto Wallet/api/v1/wallet/removewallet

This Endpoint removes an entry from the user's external wallet address book.

POST
WALLET: Withdraw Crypto (to an External Wallet)/api/v1/wallet/withdraw

Note: The encrypted master password must be hashed the same way as when setting the master password (by first calling the master_password_seed endpoint and hashing it with the concatinated password (Described in the Set

POST
WALLET: Transfer Liquidity between Wallets/api/v1/wallet/transfer

This Endpoints allows users to transfer liquidity between their self-custody wallet and their Hybrid Wallet.

POST
WALLET: Swap/Convert Currencies/api/v1/wallet/swap

The Swap/Convert system is an easy and efficient solution that allows for quick and cheap conversions between currencies and digital assets.

GET
WALLET: Get Simplified Wallet Balances and Meta Data/api/v1/wallet

This end-point delivers some quick information on buying power and currencies held in the wallets throughout all currencies in real-time exchange-rates.

GET
WALLET: Get All Transactions/api/v1/wallet/transactions

This Endpoint returns a list of all transactions made by the user (includes deposits, conversions, withdrawals, etc.).

GET
WALLET: Get All Available ICO Tokens/api/v1/wallet/ico_tokens

Get All Available ICO Tokens.

GET
WALLET: Get Master Password Seed/api/v1/wallet/master_password_seed&email=0

Seeds are required and needed when passing around passwords and very sensitive information.

POST
WALLET: Set Master Password/api/v1/wallet/setmasterpassword

The Master Password acts as a recovery key in the event where the 2-FA Device or Biometrics are lost or inaccessible.

POST
WALLET: Sign a Payload Message/api/v1/wallet/sign_payload

This endpoint is used to sign arbitrary JSON payloads against a user's vault (RSA Private key).

POST
WALLET: Add new Transit RSA Public Key/api/v1/wallet/transitkey

A Transit RSA Key can be used to secure data being moved and stored though the system.

POST
WALLET: Remove Transit RSA Public Key/api/v1/wallet/invalidatersakey

A Transit RSA Key can be used to secure data being moved and stored though the system.

POST
WALLET: Estimate Transaction Fees/api/v1/wallet/estimate

Estimate Transaction Fees.

06

Payment Functions

6 endpoints · Crypto checkout · Global payments

07

Merchant Functions

16 endpoints · Crypto checkout · Merchant settlement

GET
MERCHANT: Get Merchants Overview/api/v1/merchant/overview

Get Merchants Overview.

GET
MERCHANT: Get All Merchants/api/v1/merchant/all

Get All Merchants.

POST
MERCHANT: Create new Merchant/api/v1/merchant/create

Generating the Payment Request is the first step in requesting funds for payment of goods and services.

GET
MERCHANT: Get Merchant Details/api/v1/merchant/details

Get Merchant Details.

POST
MERCHANT: Set Merchant Details/api/v1/merchant/details

Set Merchant Details.

POST
MERCHANT: Change Enabled Status/api/v1/merchant/enabled_status

Generating the Payment Request is the first step in requesting funds for payment of goods and services.

POST
MERCHANT: Create new Invoice/api/v1/merchant/new_invoice

Generating the Payment Request is the first step in requesting funds for payment of goods and services.

POST
MERCHANT: Cancel Invoice/api/v1/merchant/cancel_invoice

Orders can be cancelled only if they are unpaid.

GET
MERCHANT: Get Checkout Data/api/v1/merchant/checkout

Get Checkout Data.

GET
MERCHANT: Get Invoice Status/api/v1/merchant/invoice_status

Get Invoice Status.

GET
MERCHANT: Get All Invoices/api/v1/merchant/all_invoices

Get All Invoices.

POST
MERCHANT: Reserve Payment Wallet/api/v1/merchant/reserve_wallet

Reserving a Payment Wallet allows for a single email-address of a user to be used as an identifier between the systems for repeated and unsolicited deposits.

GET
MERCHANT: Get All Rotational Wallets/api/v1/merchant/rotational_wallets

Get All Rotational Wallets.

GET
MERCHANT: Sync All Rotational Wallets/api/v1/merchant/sync_rotational_wallets

Sync All Rotational Wallets.

POST
MERCHANT: Settle Balances/api/v1/merchant/settle_balances

This endpoint settles all balances of all currencies of a list of rotational wallets.

GET
MERCHANT: Get All Settlements/api/v1/merchant/settlements

Gets a list of all previous settlements and their status.

08

Decentralized Trading

11 endpoints · Digital-asset exchange

GET
DEX: Get DEX Markets/api/v1/dex/markets

Returns an overview of all available markets on the Decentralized Exchange.

GET
DEX: Get DEX Historical Data/api/v1/dex/market_history

Returns chart-data for the indicated market in various timeframes ('minute', 'hour', 'day').

GET
DEX: Get DEX Candle Data/api/v1/dex/market_chart

Returns chart-data for the indicated market in various timeframes ('minute', 'hour', 'day').

GET
DEX: Get DEX Orderbook/api/v1/dex/orderbook

Gets the real-time orderbook depth (asks/bids) for a given market.

GET
DEX: Get all DEX Trades/api/v1/dex/trades

Returns a list of executed Trades of the last 10 minutes for a given market.

GET
DEX: Get DEX Trade/api/v1/dex/trade_meta

Returns a list of executed Trades of the last 10 minutes for a given market.

GET
DEX: Get all DEX Orders/api/v1/dex/orders

Returns a list of executed Trades of the last 10 minutes for a given market.

GET
DEX: Get DEX Order/api/v1/dex/order_meta

Returns a list of executed Trades of the last 10 minutes for a given market.

POST
DEX: Create DEX Order/api/v1/dex/create_order

Returns a list of executed Trades of the last 10 minutes for a given market.

POST
DEX: Cancel DEX Order/api/v1/dex/cancel

Returns a list of executed Trades of the last 10 minutes for a given market.

POST
DEX: Cancel all DEX Orders/api/v1/dex/cancel_all

Returns a list of executed Trades of the last 10 minutes for a given market.

09

Securities Trading

14 endpoints · Digital-asset exchange · Institutional trading

GET
MTF: Get MTF Markets/api/v1/exchange/markets

Returns an overview of all available markets on the Exchange.

GET
MTF: Get MTF Funding Rates/api/v1/exchange/fundingrates

Returns an overview of all available markets on the Exchange and their corresponding funding rates.

GET
MTF: Get MTF Orderbook/api/v1/exchange/orderbook

Gets the real-time orderbook depth (asks/bids) for a given market.

GET
MTF: Get MTF Orderbook Restrictions/api/v1/exchange/orderbook_restrictions

Gets the real-time orderbook depth (asks/bids) for a given market.

GET
MTF: Get all MTF Orders/api/v1/exchange/orders

Returns a list of all orders (and all statuses), including trading id's as references (if any fills were executed).

GET
MTF: Get MTF Order Details/api/v1/exchange/order_meta

Returns details and meta data of a particular order, identified by it's id on the request (includes trade id references where fills have been executed, or market surveilance violations, if any).

GET
MTF: Get all MTF Trades/api/v1/exchange/trades

Returns a list and details of all trades in context to the requestee.

GET
MTF: Get MTF Trade Details/api/v1/exchange/trade_meta

Returns details and meta data of a particular trade, identified by it's id on the request.

GET
MTF: Get MTF Market History/api/v1/exchange/market_history

Returns a list of all markets of a given liquidity pool with their last trades per market.

GET
MTF: Get MTF Last Prices/api/v1/exchange/last_prices

Returns a list of all markets of a given liquidity pool with their last execution price per market.

GET
MTF: Get MTF Liquidity Pool Events/api/v1/exchange/events

Returns an overview of all available markets on the Exchange.

POST
MTF: Create MTF Market Order/api/v1/exchange/create_order

Creates an order with the parameters specified (MARKET).

POST
MTF: Cancel MTF Order/api/v1/exchange/cancel

Cancels one or multiple orders given in the list within the payload.

POST
MTF: Cancel all MTF Orders/api/v1/exchange/cancel_all

Kills all orders in a given liquidity pool.

10

Virtual Exchange

9 endpoints · Digital-asset exchange

11

Tokenized Securities

9 endpoints · Tokenized ownership · Asset issuance

12

Prediction Markets

4 endpoints · Prediction markets

13

Barrier Product Constructor

9 endpoints · Structured products

14

NFT Super Store

25 endpoints · Asset marketplace · Digital collectibles

GET
NFT: Get All NFT Categories/api/v1/nft/categories/all

Get All NFT Categories.

GET
NFT: Get All Collections/api/v1/nft/collections/all

Get All Collections.

GET
NFT: Get All Collection Items/api/v1/nft/collections/items

Get All Collection Items.

GET
NFT: Get Collection Meta Data/api/v1/nft/collections/meta

Get Collection Meta Data.

POST
NFT: Create New Collection/api/v1/nft/collection/new

Create New Collection.

GET
NFT: Get All Created Collections/api/v1/nft/collections/created

Get All Created Collections.

POST
NFT: Update Collection Meta-Data/api/v1/nft/collection/update

Update Collection Meta-Data.

GET
NFT: Get All NFTs/api/v1/nft/tokens/all

Get All NFTs.

GET
NFT: Get All Created NFTs/api/v1/nft/tokens/created

Get All Created NFTs.

GET
NFT: Get All Owned NFTs/api/v1/nft/tokens/owned

Get All Owned NFTs.

GET
NFT: Get All Sold NFTs/api/v1/nft/tokens/sold

Get All Sold NFTs.

GET
NFT: Get NFT Meta Data/api/v1/nft/tokens/meta

Get NFT Meta Data.

GET
NFT: Get NFT Lifecycle History/api/v1/nft/tokens/history

Get NFT Lifecycle History.

POST
NFT: Create New NFT/api/v1/nft/tokens/new

Create New NFT.

POST
NFT: Publish / Unpublish an NFT/api/v1/nft/tokens/publish

Publish / Unpublish an NFT.

POST
NFT: Update NFT Meta-Data/api/v1/nft/tokens/update

Update NFT Meta-Data.

POST
NFT: Create NFT Tag/api/v1/nft/tags/create

Create NFT Tag.

POST
NFT: Allocate NFT Tag to NFT Item/api/v1/nft/tags/allocate

Allocate NFT Tag to NFT Item.

GET
NFT: Get Created NFT Tags/api/v1/nft/tags/all

Get Created NFT Tags.

POST
NFT: Make Bid for NFT/api/v1/nft/tokens/make-offer

Make Bid for NFT.

POST
NFT: Accept Bid/Sell NFT/api/v1/nft/tokens/accept-offer

Accept Bid/Sell NFT.

POST
NFT: Instant-Buy NFT/api/v1/nft/tokens/buy-nft

Instant-Buy NFT.

POST
NFT: Update Creator Profile Data/api/v1/nft/creator/update

Update Creator Profile Data.

GET
NFT: Get NFT Creator Profile Data/api/v1/nft/creator/profile

Get NFT Creator Profile Data.

GET
NFT: Get NFT Collections of Creator/api/v1/nft/creator/collections

Get NFT Collections of Creator.

15

General Data

5 endpoints · Platform integration

16

Notifications

4 endpoints · Platform integration

17

Referral System

3 endpoints · Partner growth

18

KYC / AML Functions

5 endpoints · Compliance operations · User onboarding

19

Admin Functions

6 endpoints · White-label platforms · Enterprise operations

20

Quantum Entropy

2 endpoints · Security infrastructure

21

Quantum Storage

10 endpoints · Protected data

22

Data Sync Functions

11 endpoints · Enterprise integration · White-label platforms

GET
SYNC: Get General Statistics/api/v1/sync/stats/general

This Endpoint returns a list of all Transactions (of all kinds) that have been made to any white-label user.

GET
SYNC: Get All Profiles/api/v1/sync/profiles/full

This Endpoint returns a list of all Transactions (of all kinds) that have been made to any white-label user.

GET
SYNC: Get All Pending KYCs/api/v1/sync/profiles/pending_kyc

This Endpoint returns all profiles with a pending KYC under the whitelabel tenant.

GET
SYNC: Get Recent Profiles/api/v1/sync/profiles/recent

This Endpoint returns a list of all Transactions (of all kinds) that have been made to any white-label user.

GET
SYNC: Get All Hybrid-Vaults/api/v1/sync/vaults/full

This Endpoint returns a list of all Transactions (of all kinds) that have been made to any white-label user.

GET
SYNC: Get All Hybrid-Vault Public Keys/api/v1/sync/vaults/all_pubkeys

This Endpoint returns a list of all Transactions (of all kinds) that have been made to any white-label user.

GET
SYNC: Get All Ledger Transactions/api/v1/sync/ledger/full

This Endpoint returns a list of all Transactions (of all kinds) that have been made to any white-label user.

GET
SYNC: Get All Transfers/api/v1/sync/transfers/full

This Endpoint returns a list of all Transactions (of all kinds) that have been made to any white-label user.

GET
SYNC: Get All Swaps/api/v1/sync/swaps/full

This Endpoint returns a list of all Transactions (of all kinds) that have been made to any white-label user.

GET
SYNC: Get All Full Reconciliation Data/api/v1/sync/reconciliation/full

This Endpoint returns a list of all Transactions (of all kinds) that have been made to any white-label user.

GET
SYNC: Get Profile Short-Balances/api/v1/sync/balance/profiles

This Endpoint returns a list of all Transactions (of all kinds) that have been made to any white-label user.

23

DataStreams Functions

7 endpoints · Evidence automation · Real-time data

24

Blockchain Explorer Functions

17 endpoints · Public verification · Audit and reporting

GET
EXPLORER: Search Chain/explorer/search

Allows for searches of various fields around the explorer functinality.

GET
EXPLORER: Get Chain Summary/explorer/summary

Returns a high-level summary of chain state for explorer views.

GET
EXPLORER: Get All Transactions/explorer/transactions

Returns the full list of blockchain transactions available through the explorer endpoint.

GET
EXPLORER: Get Transaction Details/explorer/transactions/TRANSACTION_HASH

Get Transaction Details.

GET
EXPLORER: Get All Vaults/explorer/vaults

Get All Vaults.

GET
EXPLORER: Get Vault Details/explorer/vaults/b00dc220da8f480d86cdc+15555550123

Get Vault Details.

GET
EXPLORER: Get Vault History/explorer/vaults/b00dc220da8f480d86cdc+15555550123/history

Get Vault History.

GET
EXPLORER: Get Liquidity Pools/explorer/liquidity_pools

Get Liquidity Pools.

GET
EXPLORER: Get Liquidity Pool Events/explorer/liquidity_pools/events

Get Liquidity Pool Events.

GET
EXPLORER: Get Orders/explorer/orders

Get Orders.

GET
EXPLORER: Get Order Details/explorer/orders/0695ca418af345d58f77498c8b8ce1e0

Get Order Details.

GET
EXPLORER: Get Trades/explorer/trades

Get Trades.

GET
EXPLORER: Get Trade Details/explorer/trades/274d57e0823a4bb2bde937983e0450d8

Get Trade Details.

GET
EXPLORER: Get All Currencies/explorer/currencies

Get All Currencies.

GET
EXPLORER: Get Fiat Currencies/explorer/currencies/fiat

Get Fiat Currencies.

GET
EXPLORER: Get Crypto Currencies/explorer/currencies/crypto

Get Crypto Currencies.

GET
EXPLORER: Get All DataStreams/explorer/datastreams

Get All DataStreams.